COMPILER_NAME          = i386-linux-gcc3.4-uclibc
COMPILER_PACKAGE       = scratchbox-toolchain-i386-gcc3.4-uclibc
ARCH                   = i386
SUB_ARCH               = i386
USE_SOFTFLOAT          = no
UCLIBC                 = yes

LINUX_HEADERS_VER      = 2.6.11.0
LINUX_HEADERS_SRC      = linux-libc-headers-$(LINUX_HEADERS_VER).tar.bz2

BINUTILS_VER           = 2.16.1
BINUTILS_FULLVER       = $(BINUTILS_VER)-2
BINUTILS_DIR           = binutils
BINUTILS_SRC           = binutils_$(BINUTILS_VER).orig.tar.gz
BINUTILS_PATCHES       = binutils-$(BINUTILS_VER)-uclibc.patch
BINUTILS_PATCH_SCRIPT  = undeb_binutils.sh
BINUTILS_SCRIPT_FILE   = binutils_$(BINUTILS_FULLVER).diff.gz

FAKE_BINUTILS_PATCH    = fake_native.patch

LIBC_VER               = 0.9.27
LIBC_HEADERS_DIR       = uclibc-headers
LIBC_DIR               = uclibc
LIBC_SRC               = uClibc-$(LIBC_VER).tar.bz2

CC_VER                 = 3.4.3
CC_GCCVER              = 3.4.3
CC_FULLVER             = 3.4_$(CC_VER)-13
CC_PASS1_DIR           = gcc-3.4-pass1
CC_PASS2_DIR           = gcc-3.4-pass2
CC_DEBIAN_DIR          = gcc-3.4-debian
CC_SRC                 = gcc-$(CC_VER).tar.bz2
CC_PATCHES             = gcc-3.4.3-uclibc.patch
CC_PATCH_SCRIPT        = undeb_gcc.sh
CC_SCRIPT_FILE         = gcc-$(CC_FULLVER).diff.gz
CC_SCRIPT_ENV          =ARCH=i386

CHECKSUM_FILE = `echo ../../$(CONFIG) | sed 's/conf$$/checksums/'`
